com.amazonaws.services.elastictranscoder

## Class AmazonElasticTranscoderClientBuilder

- java.lang.Object
- - com.amazonaws.client.builder.AwsClientBuilder<Subclass,TypeToBuild>
  - - com.amazonaws.client.builder.AwsSyncClientBuilder<AmazonElasticTranscoderClientBuilder,AmazonElasticTranscoder>
    - - com.amazonaws.services.elastictranscoder.AmazonElasticTranscoderClientBuilder

    @NotThreadSafe
    public final class AmazonElasticTranscoderClientBuilder
    extends AwsSyncClientBuilder<AmazonElasticTranscoderClientBuilder,AmazonElasticTranscoder>

Fluent builder for `AmazonElasticTranscoder`. Use of the builder is preferred over using constructors of the client class.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.amazonaws.client.builder.AwsClientBuilder

`AwsClientBuilder.SyncBuilderParams`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected AmazonElasticTranscoder` `build(AwsSyncClientParams params)` Construct a synchronous implementation of AmazonElasticTranscoder using the current builder configuration.
`static AmazonElasticTranscoder` `defaultClient()`
`static AmazonElasticTranscoderClientBuilder` `standard()`

### Methods inherited from class com.amazonaws.client.builder.AwsSyncClientBuilder

`build`

### Methods inherited from class com.amazonaws.client.builder.AwsClientBuilder

`getClientConfiguration, getCredentials, getMetricsCollector, getRegion, getRequestHandlers, getSubclass, getSyncClientParams, setClientConfiguration, setCredentials, setMetricsCollector, setRegion, setRequestHandlers, withClientConfiguration, withCredentials, withMetricsCollector, withRegion, withRegion, withRequestHandlers`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### standard

    public static AmazonElasticTranscoderClientBuilder standard()

Returns:
  Create new instance of builder with all defaults set.

#### defaultClient

    public static AmazonElasticTranscoder defaultClient()

Returns:
  Default client using the `DefaultAWSCredentialsProviderChain` and `DefaultAwsRegionProviderChain` chain

#### build

    protected AmazonElasticTranscoder build(AwsSyncClientParams params)

Construct a synchronous implementation of AmazonElasticTranscoder using the current builder configuration.

Specified by:
  `build` in class `AwsSyncClientBuilder<AmazonElasticTranscoderClientBuilder,AmazonElasticTranscoder>`
Parameters:
  `params` - Current builder configuration represented as a parameter object.
Returns:
  Fully configured implementation of AmazonElasticTranscoder.